package com.elab.example.springbootdemo.es.entity;

import org.elasticsearch.search.fetch.subphase.highlight.HighlightField;
import org.zxp.esclientrhl.annotation.ESMetaData;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户entity
 *
 * @author ： liukx
 * @time ： 2019/8/1 - 11:40
 */
@ESMetaData(indexName = "index_test", indexType = "user_table", number_of_shards = 5, number_of_replicas = 0,
        printLog = true)
public class UserTable implements Serializable {

    private String doc_id;
    private String title;
    private String message;
    private Date postDate;

    private HighlightField highlightField;

    public HighlightField getHighlightField() {
        return highlightField;
    }

    public void setHighlightField(HighlightField highlightField) {
        this.highlightField = highlightField;
    }

    public String getDoc_id() {
        return doc_id;
    }

    public void setDoc_id(String doc_id) {
        this.doc_id = doc_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Date getPostDate() {
        return postDate;
    }

    public void setPostDate(Date postDate) {
        this.postDate = postDate;
    }

    @Override
    public String toString() {
        return "UserTable{" +
                "doc_id='" + doc_id + '\'' +
                ", title='" + title + '\'' +
                ", message='" + message + '\'' +
                ", postDate=" + postDate +
                ", highlightField=" + highlightField +
                '}';
    }
}
